// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: mqtt/payload.proto

package freeje_mqtt

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Сообщение через шину MQTT с идентификатором, заголовками и телом
type MqttExchangeMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuid      string            `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Topic     string            `protobuf:"bytes,2,opt,name=topic,proto3" json:"topic,omitempty"`
	Attr      map[string]string `protobuf:"bytes,3,rep,name=attr,proto3" json:"attr,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Timestamp int64             `protobuf:"varint,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	Data      []byte            `protobuf:"bytes,5,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *MqttExchangeMessage) Reset() {
	*x = MqttExchangeMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_mqtt_payload_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MqttExchangeMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MqttExchangeMessage) ProtoMessage() {}

func (x *MqttExchangeMessage) ProtoReflect() protoreflect.Message {
	mi := &file_mqtt_payload_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MqttExchangeMessage.ProtoReflect.Descriptor instead.
func (*MqttExchangeMessage) Descriptor() ([]byte, []int) {
	return file_mqtt_payload_proto_rawDescGZIP(), []int{0}
}

func (x *MqttExchangeMessage) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *MqttExchangeMessage) GetTopic() string {
	if x != nil {
		return x.Topic
	}
	return ""
}

func (x *MqttExchangeMessage) GetAttr() map[string]string {
	if x != nil {
		return x.Attr
	}
	return nil
}

func (x *MqttExchangeMessage) GetTimestamp() int64 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

func (x *MqttExchangeMessage) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_mqtt_payload_proto protoreflect.FileDescriptor

var file_mqtt_payload_proto_rawDesc = []byte{
	0x0a, 0x12, 0x6d, 0x71, 0x74, 0x74, 0x2f, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x22, 0xe9, 0x01, 0x0a, 0x13, 0x4d, 0x71, 0x74, 0x74, 0x45, 0x78, 0x63, 0x68, 0x61, 0x6e, 0x67,
	0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05,
	0x74, 0x6f, 0x70, 0x69, 0x63, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x70,
	0x69, 0x63, 0x12, 0x3d, 0x0a, 0x04, 0x61, 0x74, 0x74, 0x72, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x29, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4d, 0x71,
	0x74, 0x74, 0x45, 0x78, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x2e, 0x41, 0x74, 0x74, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x04, 0x61, 0x74, 0x74,
	0x72, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12,
	0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x1a, 0x37, 0x0a, 0x09, 0x41, 0x74, 0x74, 0x72, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x42, 0x5f, 0x0a, 0x0f,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x6d, 0x71, 0x74, 0x74, 0x42,
	0x08, 0x4d, 0x71, 0x74, 0x74, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x39, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67,
	0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x6d, 0x71, 0x74, 0x74, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x5f, 0x6d, 0x71, 0x74, 0x74, 0xa2, 0x02, 0x04, 0x4d, 0x51, 0x54, 0x54, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_mqtt_payload_proto_rawDescOnce sync.Once
	file_mqtt_payload_proto_rawDescData = file_mqtt_payload_proto_rawDesc
)

func file_mqtt_payload_proto_rawDescGZIP() []byte {
	file_mqtt_payload_proto_rawDescOnce.Do(func() {
		file_mqtt_payload_proto_rawDescData = protoimpl.X.CompressGZIP(file_mqtt_payload_proto_rawDescData)
	})
	return file_mqtt_payload_proto_rawDescData
}

var file_mqtt_payload_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_mqtt_payload_proto_goTypes = []interface{}{
	(*MqttExchangeMessage)(nil), // 0: com.freeje.MqttExchangeMessage
	nil,                         // 1: com.freeje.MqttExchangeMessage.AttrEntry
}
var file_mqtt_payload_proto_depIdxs = []int32{
	1, // 0: com.freeje.MqttExchangeMessage.attr:type_name -> com.freeje.MqttExchangeMessage.AttrEntry
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_mqtt_payload_proto_init() }
func file_mqtt_payload_proto_init() {
	if File_mqtt_payload_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_mqtt_payload_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MqttExchangeMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_mqtt_payload_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_mqtt_payload_proto_goTypes,
		DependencyIndexes: file_mqtt_payload_proto_depIdxs,
		MessageInfos:      file_mqtt_payload_proto_msgTypes,
	}.Build()
	File_mqtt_payload_proto = out.File
	file_mqtt_payload_proto_rawDesc = nil
	file_mqtt_payload_proto_goTypes = nil
	file_mqtt_payload_proto_depIdxs = nil
}
